<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      layout:decorate="~{/layoute/layout}">
<head>
    <title>Dashboard</title>
</head>

<body>
<section layout:fragment="content">
<h2>luv2code Company Home Page</h2>
<hr>

<p>
    Welcome to the luv2code company home page!
</p>

<hr>

<!-- display user name and role -->

<div>
    User: <span sec:authentication="name"></span>
    <br><br>
    Role(s): <span sec:authentication="principal.authorities"></span>
    <br><br>

    <!-- Check for login error -->
    <div th:if="${session.user}">
        <p th:text="'First name: ' + ${session.user.firstName} + ', Last name: ' + ${session.user.lastName} + ', Email: ' + ${session.user.email}"></p>
    </div>
</div>

<div sec:authorize="hasRole('ROLE_WARGA')">

    <!-- Add a link to point to /leaders ... this is for the managers -->

    <p>
        <a th:href="@{/leaders}">Leadership Meeting</a>
        (Only for Manager peeps)
    </p>

</div>

<div sec:authorize="hasRole('ROLE_ADMIN')">

    <!-- Add a link to point to /systems ... this is for the admins -->

    <p>
        <a th:href="@{/systems}">IT Systems Meeting</a>
        (Only for Admin peeps)
    </p>

</div>

<hr>


<!-- Add a logout button -->
<form th:action="@{/logout}"
      method="POST">

    <input type="submit" value="Logout"/>

</form>

</section>
</body>

</html>









